Create a New List
curl --request POST \
--url https://cloudapi.mailercloud.com/v1/list \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"list_type": 1,
"name": "Email subscription-list"
}
'import requests
url = "https://cloudapi.mailercloud.com/v1/list"
payload = {
"list_type": 1,
"name": "Email subscription-list"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<api-key>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<api-key>'},
body: JSON.stringify({list_type: 1, name: 'Email subscription-list'})
};
fetch('https://cloudapi.mailercloud.com/v1/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloudapi.mailercloud.com/v1/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'list_type' => 1,
'name' => 'Email subscription-list'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloudapi.mailercloud.com/v1/list"
payload := strings.NewReader("{\n \"list_type\": 1,\n \"name\": \"Email subscription-list\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "<content-type>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "xyz"
}{
"error": {
"field": "name",
"message": "The name field must be at least 3 characters"
}
}{
"errors": [
{
"field": "",
"message": "Authorization failed"
}
]
}Create a New List
Your Mailercloud list, also known as your recipient, is where you store and manage all of your contacts.
POST
/
list
Create a New List
Authorizations
Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.
Headers
Request body type
Body
application/json
Response
Created
⌘I